List companies by location

View as Markdown
Paginated list of companies in a specific location, filtered by starting letter

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

scopeenumRequired

Location scope (countries, states, cities)

slugstringRequired

Location URL-friendly identifier (slug)

Query parameters

letterstringOptionalDefaults to A
Starting letter filter
countOnlybooleanOptional
Return only pagination totals with empty content
pageintegerOptional>=0Defaults to 0

Zero-based page index (0..N)

sizeintegerOptional>=1Defaults to 100
The size of the page to be returned
sortlist of stringsOptional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error